%define upstream_name    Class-DBI-mysql
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Class::DBI extension for MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::DBI)

BuildArch:      noarch


%description
This is an extension to Class::DBI, containing several functions and
optimisations for the MySQL database. Instead of setting Class::DBI as your
base class, use this instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# requires a running mysql server

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README INSTALL META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 364340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-5.mga1
+ Revision: 31779
- mageia rebuild
- cleaning spec file
- imported package perl-Class-DBI-mysql

